Subject: bug#20401: refill long lines in generated ChangeLog

From: Paul Eggert <[email-masked]>
Date: Sat, 25 Apr 2015 18:24:23 -0700

> it's not just me that has written lines slightly too long.

That's right, lots of people are doing it, and it makes more busywork when 
cleaning up ChangeLogs, which sucks.  I don't have much faith in fixing this 
automagically, as a lot could go wrong.

There's a much simpler fix (see attached) but Stefan nixed it (see 
<http://lists.gnu.org/archive/html/emacs-devel/2014-12/msg01640.html>) for 
reasons that I don't follow.  Perhaps we could take another run at him and he'll 
relent this time.

Another possibility is that we set the tab-width in ChangeLog files to 2, so 
that 78-character log lines fit in ChangeLog files when displayed via Emacs. 
(I'm *sure* nobody would complain about *that*. :-)

But really, it'd be simpler to shrink that "78" back to "72".
>From 9ba2c1fc35590c41fba623f892af7dd9c75e5f5b Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Sat, 25 Apr 2015 18:14:35 -0700
Subject: [PATCH] Encourage shorter commit message lines

This helps keep generated ChangeLog lines less than 80 characters
(Bug#20401).
* build-aux/git-hooks/commit-msg: Limit lines to 72 characters.
---
 build-aux/git-hooks/commit-msg | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/build-aux/git-hooks/commit-msg b/build-aux/git-hooks/commit-msg
index 9661376..5e46d9f 100755
--- a/build-aux/git-hooks/commit-msg
+++ b/build-aux/git-hooks/commit-msg
@@ -110,8 +110,8 @@ exec $awk -v at_sign="$at_sign" -v cent_sign="$cent_sign" '
     }
   }
 
-  78 < length && $0 ~ space {
-    print "Line longer than 78 characters in commit message"
+  72 < length && $0 ~ space {
+    print "Line longer than 72 characters in commit message"
     status = 1
   }
 
-- 
2.1.0